Package org.apache.sling.feature.cpconverter.interpolator

## Class SimpleVariablesInterpolator

- java.lang.Object
- - org.apache.sling.feature.cpconverter.interpolator.SimpleVariablesInterpolator

All Implemented Interfaces:
  `VariablesInterpolator`

    public final class SimpleVariablesInterpolator
    extends Object
    implements VariablesInterpolator

### Constructor Summary

Constructors
`SimpleVariablesInterpolator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull String` `interpolate​(@NotNull String format, @Nullable Map<String,​String> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleVariablesInterpolator

    public SimpleVariablesInterpolator()

### Method Detail

#### interpolate

    @NotNull
    public @NotNull String interpolate​(@NotNull
                                       @NotNull String format,
                                       @Nullable
                                       @Nullable Map<String,​String> properties)

Specified by:
  `interpolate` in interface `VariablesInterpolator`